package com.template.services;

import com.template.model.pojo.SmartFreezeRecord;
import com.template.model.pojo.SmartFreezeRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.SmartFreezeRecordPageVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartFreezeRecordService extends IService<SmartFreezeRecord> {
    int insertSmartFreezeRecord(SmartFreezeRecord rns);

    int updateSmartFreezeRecord(SmartFreezeRecord rns);

    PageUtils<SmartFreezeRecord> queryPageSmartFreezeRecords(int currentPage, int pageCount, String name);

    int deleteSmartFreezeRecordById(int id);

    SmartFreezeRecord getSmartById(int id);

    int getSmartByUserId(int userId);

    List<SmartFreezeRecord> getSmartByUserIds(List<Integer> userIds);

    PageUtils<SmartFreezeRecordPageVo> queryFreezeRecordPageList(int currentPage, int pageCount);
}
